<?
	$home_url = '/';
	if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
		$home_url = '/' . Cubix_I18n::getLang();
	}

	if ( isset($this->params['city']) ) {
		$city_slug = $this->params['city'];
		$c_model = new Cubix_Geography_Cities();
		$item = $c_model->getBySlug($city_slug);
	}
	elseif ( isset($this->params['zone']) ) {
		//$view = 'bottom-level';
	}
	elseif ( isset($this->params['region']) ) {
		$region_slug = $this->params['region'];
		$country_slug = $this->params['country'];

		$r_model = new Cubix_Geography_Regions();
		$item = $r_model->getRegionBySlug($region_slug);
	}

	$back_url = '';
	if ( isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
?>
<? if ( $this->request()->getControllerName() == 'private' && $this->request()->getActionName() != 'forgot' ): ?>
	<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></a>
<? endif; ?>

<? if ( $this->request()->getControllerName() == 'private' && $this->request()->getActionName() == 'signin' ): ?>
	<h1 id="heading"><?= $this->t('login') ?></h1>
<? elseif ( $this->request()->getControllerName() == 'private' && $this->request()->getActionName() == 'forgot' ): ?>
	<h1 id="heading" style="width: 984px;"><?= $this->t('forgot_password') ?></h1>
<? else: ?>
	<? if ( ! $this->is_tour ): ?>
		<? if ( $this->is_trans ): ?>
		<h1 id="heading"><?= $this->t('trans_in_city', array('CITY' => '<span>' . $item->title . '</span>')) ?></h1>
		<? else: ?>
			<? if ( $this->heading && strlen($this->heading) ): ?>
			<h1 id="heading"><?= $this->heading ?></h1>
			<? else: ?>
			<h1 id="heading"><?= $this->t('escorts_in_city', array('CITY' => '<span>' . $item->title . '</span>')) ?></h1>
			<? endif; ?>
		<? endif; ?>
	<? else: ?>
	<h1 id="heading"><?= ($this->is_upcomingtour) ? $this->t('upcoming_tours') : $this->t('tours') ?></h1>
	<? endif; ?>

<? endif; ?>
<div class="clear"></div>
